import { Plugin, Runner } from '@morjs/utils';
/**
 * 进行编译的相关检查，对不符合要求的进行警告
 * 1. 运行时 core 和 配置的 sourceType 类型是否一致
 */
export declare class PreRuntimeDetectionPlugin implements Plugin {
    name: string;
    apply(runner: Runner<any>): void;
    oppositeSourceType(sourceType: any): "alipay" | "wechat";
    /**
     * 运行时 core 和 配置的 sourceType 类型是否一致
     * @param transformers
     */
    isCoreSameSourceType({ transformers, sourceType, entryName, rightCore, oppositeCore }: {
        transformers: any;
        sourceType: any;
        entryName: any;
        rightCore: any;
        oppositeCore: any;
    }): void;
}
